Page MenuHomePhabricator

Post-creation work for fonwiki
Closed, ResolvedPublic

Description

Event Timeline

Change 962233 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[mediawiki/services/cxserver@master] Add fon to languages

https://gerrit.wikimedia.org/r/962233

Change 962234 had a related patch set uploaded (by Gerrit maintenance bot; author: Gerrit maintenance bot):

[analytics/refinery@master] Add fon.wikipedia to pageview allowlist

https://gerrit.wikimedia.org/r/962234

Change 962234 merged by Joal:

[analytics/refinery@master] Add fon.wikipedia to pageview allowlist

https://gerrit.wikimedia.org/r/962234

Change 962233 merged by jenkins-bot:

[mediawiki/services/cxserver@master] Add fon to languages

https://gerrit.wikimedia.org/r/962233

Change 963066 had a related patch set uploaded (by Anzx; author: Anzx):

[operations/mediawiki-config@master] fonwiki: add logos

https://gerrit.wikimedia.org/r/963066

Change 963036 had a related patch set uploaded (by Anzx; author: Anzx):

[operations/mediawiki-config@master] fonwiki: add wgSiteName, wgMetaNamespace, add project namespace, timezone

https://gerrit.wikimedia.org/r/963036

Anoop updated the task description. (Show Details)

Interlanguage prefix doesn't work yet (for links like w:fon:Special:Log from other wikis). Is this something that was left uncompleted when the "Create" task was closed, or is this covered by one of the items in the checklist here?

Change 963066 merged by jenkins-bot:

[operations/mediawiki-config@master] fonwiki: add logos

https://gerrit.wikimedia.org/r/963066

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:08:58Z] <lucaswerkmeister-wmde@deploy2002> Started scap: Backport for [[gerrit:963066|fonwiki: add logos (T347939)]]

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:10:29Z] <lucaswerkmeister-wmde@deploy2002> lucaswerkmeister-wmde and anzx: Backport for [[gerrit:963066|fonwiki: add logos (T347939)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:20:42Z] <lucaswerkmeister-wmde@deploy2002> Finished scap: Backport for [[gerrit:963066|fonwiki: add logos (T347939)]] (duration: 11m 43s)

Change 963036 merged by jenkins-bot:

[operations/mediawiki-config@master] fonwiki: add wgSiteName, wgMetaNamespace and timezone

https://gerrit.wikimedia.org/r/963036

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:33:06Z] <lucaswerkmeister-wmde@deploy2002> Started scap: Backport for [[gerrit:963036|fonwiki: add wgSiteName, wgMetaNamespace and timezone (T347939)]]

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:34:30Z] <lucaswerkmeister-wmde@deploy2002> anzx and lucaswerkmeister-wmde: Backport for [[gerrit:963036|fonwiki: add wgSiteName, wgMetaNamespace and timezone (T347939)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:46:53Z] <lucaswerkmeister-wmde@deploy2002> Finished scap: Backport for [[gerrit:963036|fonwiki: add wgSiteName, wgMetaNamespace and timezone (T347939)]] (duration: 13m 46s)

Mentioned in SAL (#wikimedia-operations) [2023-10-04T13:47:27Z] <Lucas_WMDE> mwscript namespaceDupes fonwiki --fix # T347939 – 0 pages to fix, 0 resolvable; 0 links to fix, 0 resolvable, 0 deleted

So, with this new way of doing things, when am I supposed to understand that a wiki is open for editing by the general public (for the purpose of announcing that at m:Wikimedia_News)?

It used to be when the content importing was complete, but that happened immediately after the wiki was created, before the namespaces were even finalized.

So, with this new way of doing things, when am I supposed to understand that a wiki is open for editing by the general public (for the purpose of announcing that at m:Wikimedia_News)?

It used to be when the content importing was complete, but that happened immediately after the wiki was created, before the namespaces were even finalized.

I'm not sure that I understand. I think that the import is still done manually, usually by @jhsoby. And the namespace names have been translated in MessagesFon.php long ago, so I don't know what does "before the namespaces were even finalized" mean.

I've added an item to the checklist: "Make the interwiki prefix fon work."

It doesn't seem to work now.

And the namespace names have been translated in MessagesFon.php long ago, so I don't know what does "before the namespaces were even finalized" mean.

I was alluding to the setting of the project namespace seen at T347939#9224848. The importing was finished nearly 24 hours earlier (see fon:Special:Log/import and this edit at the Incubator).

Unless someone tells me otherwise, I guess I'll continue to use the appearance of an imported Main Page (not a script-created default one) at the wiki's base URL (in this case, https://fon.wikipedia.org/) as my signal that it is open for editing.

Change 964846 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/deployment-charts@master] Update cxserver to 2023-10-05-093231-production

https://gerrit.wikimedia.org/r/964846

Change 964846 merged by jenkins-bot:

[operations/deployment-charts@master] Update cxserver to 2023-10-11-045323-production

https://gerrit.wikimedia.org/r/964846

Mentioned in SAL (#wikimedia-operations) [2023-10-11T05:23:54Z] <kart_> Updated cxserver to 2023-10-11-045323-production (T341478, T344982, T338432, T347939)

Change 965022 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/deployment-charts@master] Update cxserver to 2023-10-11-045323-production

https://gerrit.wikimedia.org/r/965022

Change 965109 had a related patch set uploaded (by KartikMistry; author: KartikMistry):

[operations/deployment-charts@master] Update cxserver to 2023-10-11-114410-production

https://gerrit.wikimedia.org/r/965109

Change 965109 merged by jenkins-bot:

[operations/deployment-charts@master] Update cxserver to 2023-10-11-114410-production

https://gerrit.wikimedia.org/r/965109

Mentioned in SAL (#wikimedia-operations) [2023-10-11T12:00:40Z] <kart_> Updated cxserver to 2023-10-11-114410-production (T341478, T347939)

Pppery removed a project: Patch-For-Review.
Pppery updated the task description. (Show Details)
Pppery subscribed.

Only thing left to do here appears to be Countervandalism Network.

Mentioned in SAL (#countervandalism) [2024-07-03T01:45:20Z] <AntiComposite> add fon.wikipedia to CVNBot9 (T347939)